Folks.Backend.set_persona_stores – folks Reference Manual

# set_persona_stores

## Description:

public abstract void set_persona_stores (Set<string>? storeids)

Set the PersonaStores to use in this backend.

This will cause Backend.persona_store_removed signals to be emitted for all removed stores, followed by Backend.persona_store_added signals for all added stores. As these signals are emitted, the sets of individuals in any associated IndividualAggregators will be updated, and IndividualAggregator.individuals_changed may be emitted multiple times as appropriate. A property change notification for Backend.persona_stores will be emitted last. Note: pass null storeids to use all available persona stores.

## Parameters:

storeids | a Set of PersonaStore IDs to use.

## Since:

0.9.0